Summary: Utilities for configuring the linux ethernet bridge.
Name:    bridge-utils
Version: 1.0.6
Release: 3tr
License: GPL
Group: Community Contrib
Source:  http://easynews.dl.sourceforge.net/sourceforge/bridge/%{name}-%{version}.tar.gz
Source1: bridge-brcfg.sh
Source2: bridge-brcfg-br0
Source3: bridge-initd.sh
Source4: bridge-readme.tsl
#Patch0:  bridge-returncodes.patch
URL:     http://bridge.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

Install bridge-utils if you want to use the linux ethernet bridge.

%package -n bridge-utils-devel
Summary: Utilities for configuring the linux ethernet bridge.
Group: Trustix Contrib

%description -n bridge-utils-devel
The bridge-utils-devel package contains the header and object files
necessary for developing programs which use 'libbridge.a', the
interface to the linux kernel ethernet bridge. If you are developing
programs which need to configure the linux ethernet bridge, your
system needs to have these standard header and object files available
in order to create the executables.

Install bridge-utils-devel if you are going to develop programs which
will use the linux ethernet bridge interface library.

%prep
%setup -q
#%patch0 -p1
cp %{SOURCE2} brcfg-br0.sample
cp %{SOURCE4} README.tsl

%build
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_initdir}
mkdir -p ${RPM_BUILD_ROOT}/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 755 %{SOURCE1} ${RPM_BUILD_ROOT}/sbin/brcfg
install -m 755 %{SOURCE3} ${RPM_BUILD_ROOT}%{_initdir}/bridge
install -m 755 -s brctl/brctl ${RPM_BUILD_ROOT}/sbin/
install -m 644 doc/brctl.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/
install -m 644 libbridge/libbridge.h ${RPM_BUILD_ROOT}%{_includedir}/
install -m 644 libbridge/libbridge.a ${RPM_BUILD_ROOT}%{_libdir}/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS COPYING doc/FAQ doc/HOWTO README 
%doc README.tsl THANKS brcfg-br0.sample
%{_initdir}/bridge
/sbin/brctl
/sbin/brcfg
%{_mandir}/man8/brctl.8*

%files -n bridge-utils-devel
%defattr (-,root,root)
%{_includedir}/libbridge.h
%{_libdir}/libbridge.a

%changelog
* Tue Oct 18 2005 Ajith Thampi <ajith at comodo dot com> 1.0.6-3tr
- Imported to TSL 2.2 Official
		
* Fri Jun 17 2005 Olaf Rempel <razzor at kopf minux tisch dot de> 1.0.6-2or
- Rebuild for TSL 2.2 Community Contrib

* Tue Mar 22 2005 Ajith Thampi <ajith at comodo dot com> 1.0.6-1ta
- New Upstream

* Thu Oct  7 2004 Syed Shabir Zakiullah <syedshabir at comodo dot com>
- Rebuilt for TSL 2.2

* Thu Aug 19 2004 Ajith Vargese Thampi <ajith at comodo dot com> 1.0.4-1ta
- New Upstream

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Tue Dec  9 2003 Goetz Bock <bg at trustix dot org> 0.9.6-7bg
- splitted patch1 into individual files. to make it more maintainable
- major changes to brcfg (source1), more features, more sanity checks

* Thu Nov 27 2003 Goetz Bock <bg at trustix dot org> 0.9.6-6bg
- small fix in patch1 (brcfg)

* Sun Oct  5 2003 Goetz Bock <bg at tawie dot org> 0.9.6-5bg
- cleaned up specfile 
- build for Cloud (Tawie 2.0) - Contrib

* Wed Aug 13 2003 Goetz Bock <bock at trustix dot org> 0.9.6-4bg
- added patch to not return success on error

* Wed Aug 13 2003 Goetz Bock <bock at trustix dot org> 0.9.6-3bg
- made support for STP configurateable
- fixed startup script
- added sample file

* Wed Jan  8 2003 Goetz Bock <bock at trustix dot org> bridge-utils-0.9.6-2bg
- moved startupscript to right location

* Tue Dec 24 2002 Goetz Bock <bock at trustix dot org> bridge-utils-0.9.6-1bg
- new upstream: 0.9.6
- rebuild for TSL2.0

* Tue Apr  9 2002 Goetz Bock <bock at blacknet dot de> bridge-utils-0.9.5-2bn
- fixed an old syntax in brcfg

* Sun Apr  7 2002 Goetz Bock <bock at blacknet dot de> bridge-utils-0.9.5-1bn
- new upstream version: 0.9.5
